gsasl_base64_encode(3)

NAME
gsasl_base64_encode - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_base64_encode(char const * src, size_t srclength, char * target, size_t targsize);

ARGUMENTS

char const * src
    input byte array

size_t srclength
    size of input byte array

char * target
    output byte array

size_t targsize
    size of output byte array

DESCRIPTION
Encode data as base64. Converts characters, three at a time, starting at src into four base64 characters in the target area until the entire input buffer is encoded. Return value: Returns the number of data bytes stored at the target, or -1 on error.

DEPRECATED
Use gsasl_base64_to() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU SASL home page: http://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2019 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gsasl/manual/